image: docker:20.10.4-dind
services:
  - docker:dind
build-and-push:
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - |
      export VERSION=$(date +%Y%m%d)-$CI_COMMIT_SHORT_SHA
      export IMAGE=flask-app
      docker build -t $IMAGE:$VERSION .
      docker tag $IMAGE:$VERSION $CI_REGISTRY/$CI_PROJECT_PATH/$IMAGE:$VERSION
      docker tag $IMAGE:$VERSION $CI_REGISTRY/$CI_PROJECT_PATH/$IMAGE:latest
      docker push $CI_REGISTRY/$CI_PROJECT_PATH/$IMAGE:$VERSION
      docker push $CI_REGISTRY/$CI_PROJECT_PATH/$IMAGE:latest
  tags:
    - docker
  only:
    - master
